- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ServerProtocol::Sender Class Referenceabstract

An interface used by ServerProtocol to send protocol replies. More...

`#include <gserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocol::Sender:

## Public Member Functions
virtual void | protocolSend (const std::string &s, bool go_secure)=0
virtual | ~Sender ()

## Detailed Description

An interface used by ServerProtocol to send protocol replies.

Definition at line 63 of file gserverprotocol.h.

## Constructor & Destructor Documentation

GSmtp::ServerProtocol::Sender::~Sender | ( |  | ) |
| virtual

Definition at line 898 of file gserverprotocol.cpp.

## Member Function Documentation

virtual void GSmtp::ServerProtocol::Sender::protocolSend | ( | const std::string & | s,
|  | bool | go_secure
| ) |  |
| pure virtual

The documentation for this class was generated from the following files:

- gserverprotocol.h
- gserverprotocol.cpp